Skip to content
登录 注册

Google Scholar作者API

获取 Google Scholar 作者的完整资料,包括其发表列表、引用指标以及合作者信息。设置 engine=google_scholar_author 并在 author_id 中传入作者 ID。

GET https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyes您的 SERP API 密钥
enginestringyes必须为 google_scholar_author
author_idstringyesGoogle Scholar 作者 ID
devicestringnodesktopmobiletablet
view_opstringnoview_citationlist_colleagues
sortstringnotitlepubdate
citation_idstringnoview_op=view_citation 时为必填
hlstringno界面语言代码
startintno用于分页的结果偏移量
numintno每页结果数量
Terminal window
curl "https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY&author_id=LSsXyncAAAAJ"
{
"search_parameters": {
"engine": "google_scholar_author",
"author_id": "LSsXyncAAAAJ"
},
"author": {
"name": "Jane Doe",
"affiliations": "Professor, Stanford University",
"email": "Verified email at stanford.edu",
"interests": [ { "title": "Machine Learning" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
},
"articles": [
{
"title": "Deep learning for computer vision",
"link": "https://scholar.google.com/citations?view_op=view_citation&...",
"citation_id": "u5HHmVD_uO8C",
"year": "2015",
"cited_by": { "value": 4500 }
}
],
"cited_by": {
"table": [ { "citations": { "all": 12000, "since_2019": 8000 } } ]
}
}